Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Interface InlineLevelLayoutManager

All Superinterfaces:
  LayoutManager, PercentBaseContext

All Known Implementing Classes:
  AbstractGraphicsLayoutManager, AbstractPageNumberCitationLayoutManager, BasicLinkLayoutManager, BidiLayoutManager, CharacterLayoutManager, ContentLayoutManager, ExternalGraphicLayoutManager, FloatLayoutManager, FootnoteLayoutManager, InlineContainerLayoutManager, InlineLayoutManager, InlineStackingLayoutManager, InstreamForeignObjectLM, LeaderLayoutManager, LeafNodeLayoutManager, LineLayoutManager, PageNumberCitationLastLayoutManager, PageNumberCitationLayoutManager, PageNumberLayoutManager, RetrieveTableMarkerLayoutManager, TextLayoutManager, WrapperLayoutManager

    public interface InlineLevelLayoutManager

extends LayoutManager

The interface for LayoutManagers which generate inline areas

Method Summary
`java.util.List` | `addALetterSpaceTo(java.util.List oldList)` Tell the LM to modify its data, adding a letter space to the word fragment represented by the given elements, and returning the corrected elements
`java.util.List` | `addALetterSpaceTo(java.util.List oldList, int depth)` Tell the LM to modify its data, adding a letter space to the word fragment represented by the given elements, and returning the corrected elements
`boolean` | `applyChanges(java.util.List oldList)` Tell the LM to apply the changes due to hyphenation
`boolean` | `applyChanges(java.util.List oldList, int depth)` Tell the LM to apply the changes due to hyphenation
`java.util.List` | `getChangedKnuthElements(java.util.List oldList, int alignment, int depth)` Get a sequence of KnuthElements representing the content of the node assigned to the LM, after changes have been applied
`java.lang.String` | `getWordChars(Position pos)` Get the word chars corresponding to the given position.
`void` | `hyphenate(Position pos, HyphContext hyphContext)` Tell the LM to hyphenate a word

Methods inherited from interface org.apache.fop.layoutmgr.LayoutManager
`addAreas, addChildArea, addChildLM, addChildLMs, createNextChildLMs, getBaselineOffset, getChangedKnuthElements, getChildLMs, getContentAreaBPD, getContentAreaIPD, getFObj, getGeneratesBlockArea, getGeneratesLineArea, getGeneratesReferenceArea, getNextKnuthElements, getNextKnuthElements, getParent, getParentArea, getPSLM, hasLineAreaDescendant, initialize, isFinished, isRestartable, notifyPos, reset, setFinished, setParent`

Methods inherited from interface org.apache.fop.datatypes.PercentBaseContext
`getBaseLength`

Method Detail

### addALetterSpaceTo

    java.util.List addALetterSpaceTo(java.util.List oldList)

  Tell the LM to modify its data, adding a letter space to the word fragment represented by the given elements, and returning the corrected elements

  Parameters:
    `oldList` - the elements which must be given one more letter space
  Returns:
    the new elements replacing the old ones

### addALetterSpaceTo

    java.util.List addALetterSpaceTo(java.util.List oldList,
                                     int depth)

  Tell the LM to modify its data, adding a letter space to the word fragment represented by the given elements, and returning the corrected elements

  Parameters:
    `oldList` - the elements which must be given one more letter space
    `depth` - the depth at which the Positions for this LM in oldList are found
  Returns:
    the new elements replacing the old ones

### getWordChars

    java.lang.String getWordChars(Position pos)

  Get the word chars corresponding to the given position.

  Parameters:
    `pos` - the position referring to the needed word chars.
  Returns:
    the word chars

### hyphenate

    void hyphenate(Position pos,
                   HyphContext hyphContext)

  Tell the LM to hyphenate a word

  Parameters:
    `pos` - the Position referring to the word
    `hyphContext` - the HyphContext storing hyphenation information

### applyChanges

    boolean applyChanges(java.util.List oldList)

  Tell the LM to apply the changes due to hyphenation

  Parameters:
    `oldList` - the list of the old elements the changes refer to
  Returns:
    true if the LM had to change its data, false otherwise

### applyChanges

    boolean applyChanges(java.util.List oldList,
                         int depth)

  Tell the LM to apply the changes due to hyphenation

  Parameters:
    `oldList` - the list of the old elements the changes refer to
    `depth` - the depth at which the Positions for this LM in oldList are found
  Returns:
    true if the LM had to change its data, false otherwise

### getChangedKnuthElements

    java.util.List getChangedKnuthElements(java.util.List oldList,
                                           int alignment,
                                           int depth)

  Get a sequence of KnuthElements representing the content of the node assigned to the LM, after changes have been applied

  Parameters:
    `oldList` - the elements to replace
    `alignment` - the desired text alignment
    `depth` - the depth at which the Positions for this LM in oldList are found
  Returns:
    the updated list of KnuthElements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.